%global	dictdir	%{_datadir}/dict/dictd

Name:		dictd-dictionary-he
Version:	20090618
Release:	1%{?dist}
Summary:	Hebrew/English dictionary for dictd dictionary server

Group:		Applications/Text
License:	GPLv3 and GFDL
URL:		http://culmus.sourceforge.net/dictionary/index.html
Source0:	dict-culmus-heb-eng.%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
Requires:	dictd

%description
Hebrew/English dictionary for dictd dictionary server.
It was compiled by the Culmus project:
 http://culmus.sourceforge.net/dictionary/index.html
The sources of this compilation are:
 Wiktionary(GFDL) --
   http://download.wikimedia.org/hewiktionary/
 Wordnet(GPL) --
   http://mila.cs.technion.ac.il/wordnet/
 Waldstein(Public Domain) --
   http://culmus.sourceforge.net/dictionary/waldstein/index.html

%prep
%setup -q -n %{name} -c

cat <<EOF > dictd.he-eng.conf
database_virtual he-eng {
	name		"Hebrew-English dictionary"
	info		"Hebrew-English compilation from Waldstein, Wiktionary and Wordnet"
	database_list	"waldstein-he-eng,wiktionary-he-eng,wordnet-he-eng"
}

# We stop the search here
database_exit

database waldstein-he-eng {
	data	waldstein-he-eng.dict.dz
	index	waldstein-he-eng.index
}

database wiktionary-he-eng {
	data	wiktionary-he-eng.dict.dz
	index	wiktionary-he-eng.index
}

database wordnet-he-eng {
	data	wordnet-he-eng.dict.dz
	index	wordnet-he-eng.index
}
EOF


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{dictdir}
cp *.dz *.index $RPM_BUILD_ROOT/%{dictdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{dictdir}/waldstein-he-eng.*
%{dictdir}/wiktionary-he-eng.*
%{dictdir}/wordnet-he-eng.*

%doc GFDL-1.2.txt GPL-3.0.txt LICENSE
%doc dictd.he-eng.conf


%changelog
* Sun Jan 03 2010 Oron Peled <oron@actcom.co.il> - 20090618-1
- Initial package.

